%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")

Summary:	IP Association Library
Name:		ipa
Version:	0.5.2
Release:	1%{?dist}
Group:		Applications/System
License:	LGPLv2
Source:		ipa-%{version}.tar.gz
Patch1:		ipa-%{version}-patch-001
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
URL:		http://tools.netsa.cert.org/ipa
Vendor:		CERT Network Situational Awareness <netsa-help@cert.org>
Provides:	libipa = %{version}
Requires:	glib2 >= 2.6
BuildRequires:	pkgconfig >= 0.8
BuildRequires:	glib2-devel > 2.6
%if 0%{?centos} >= 5 || 0%{?fedora} >= 16
%define PGSQL_VERSION           9.3
%define PGSQL_VERSION_BASE	/usr/pgsql-%{PGSQL_VERSION}
%define PGSQL_PKG_CONFIG	%{PGSQL_VERSION_BASE}/bin/pg_config
BuildRequires:	postgresql%(echo %{PGSQL_VERSION} | sed 's/\.//')-devel
Requires:	postgresql%(echo %{PGSQL_VERSION} | sed 's/\.//')-libs
%endif

%description
IPA (IP Association) is a library for maintaining associations between IP
addresses and any number of labels which categorize those addresses.

%package devel
Summary: Static libraries and C header files for libipa
Group: Development/Libraries
Provides: libipa-devel = %{version}
Requires: %{name} = %{version}
Requires: pkgconfig >= 1:0.8

%description devel
Static libraries and C header files for libipa.


%define want_python 1
#%{?_with_python: %{expand: %%de want_python 1}}
#%{?_without_python: %{expand: %%define want_python 0}}
%{!?_with_python: %{!?_without_python: %define _with_python --with-python}}

%if %{?_with_python:1}%{!?_with_python:0}
%package -n ipa-python
Summary: Python interface to IPA
Group: Development/Libraries
Provides: ipa-python = %{version}
Requires: python >= 2.4
Requires: netsa-python >= 1.3
%description -n ipa-python
Python interface to IPA
%endif

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1

%build
%configure \
    --disable-static \
    --with-bundled-libairdbc \
    --with-postgresql=%{PGSQL_PKG_CONFIG} \
    %{?_with_python} %{?_without_python}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make DESTDIR=%{?buildroot:%{buildroot}} install
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/*.la
#./libtool --finish %{buildroot}%{_libdir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/libipa*.so*
%{_libdir}/libairdbc*.so*
%{_bindir}/ipaimport
%{_bindir}/ipaexport
%{_bindir}/ipaquery
%doc %{_mandir}/man1/*.1*
%doc sql/

%files -n %{name}-devel
%defattr(-,root,root)
#%doc doc/html
%{_includedir}/*
%{_libdir}/pkgconfig/*

%if %{?_with_python:1}%{!?_with_python:0}
%files -n ipa-python
%defattr(-, root, root)
# Need to use %{_prefix}/lib instead of %{_libdir} here because libdir might be
# the lib64 directory
%dir %{_prefix}/lib/python?.?/site-packages/ipa
%{_prefix}/lib/python?.?/site-packages/ipa/*
%{python_sitelib}/*egg-info
%endif

%changelog
* Thu Aug 25 2011 Tony Cebzanov <tonyc@cert.org> 0.5.2
- Add netsa-python, remove libairdbc dependencies

* Wed Jul 23 2008 Tony Cebzanov <tonyc@cert.org> 0.3.0
- Rewrite of spec file for IPA 0.3.0 release.
